#!/bin/bash

if [ x$usearch == x ] ; then
	echo Must set \$usearch >> /dev/stderr
	exit 1
fi

version=`$usearch -version | sed "-es/usearch //" | sed "-es/v10.*/v10/"`

if [ x$version != xv10 ] ; then
	echo "usearch version too old, need v10" >> /dev/stderr
	exit 1
fi

out=../out

rm -rf $out
mkdir -p $out
cd $out

$usearch -fastq_mergepairs ../fq/*_R1.fastq -relabel @ -fastqout merged.fq

$usearch -fastq_filter merged.fq -fastq_maxee 1.0 -relabel Filt -fastaout filtered.fa

$usearch -fastx_uniques filtered.fa -sizeout -relabel Uniq -fastaout uniques.fa

$usearch -cluster_otus uniques.fa -relabel Otu -otus otus.fa

$usearch -unoise3 uniques.fa -zotus zotus.fa

$usearch -otutab merged.fq -otus otus.fa -otutabout otutab.txt

$usearch -otutab merged.fq -zotus zotus.fa -otutabout zotutab.txt
